Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.codegen
Class IntegratedFunctionCompiler

    java.lang.Object
      com.saxonica.codegen.IntegratedFunctionCompiler

Direct Known Subclasses:
  IsWholeNumberCompiler, ItemAtCompiler

    public abstract class IntegratedFunctionCompiler

extends Object

This abstract class represents the compiler (that is, Java code generator) for an integrated extension function appearing on the expression tree

Constructor Summary
`IntegratedFunctionCompiler()`

Method Summary
`abstract String` | `compile(CompilerService compiler, ExtensionFunctionCall function, Expression[] arguments, String[] variables)` Generate Java code to evaluate the expression as a SequenceIterator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegratedFunctionCompiler

    public IntegratedFunctionCompiler()

Method Detail

### compile

    public abstract String compile(CompilerService compiler,
                                   ExtensionFunctionCall function,
                                   Expression[] arguments,
                                   String[] variables)

  Generate Java code to evaluate the expression as a SequenceIterator

  Parameters:
    `compiler` - the compiler service
    `function` - the integrated function call to be compiled
    `arguments` - the arguments supplied to the function call
    `variables` - an array of strings each being the Java name of a variable that holds the value of the corresponding argument, either as a SequenceIterator in the case of an argument that allows more than one value, or as an Item if the argument only allows a singleton
  Returns:
    a simple Java expression (usually the name of a variable that has been declared). If the result type of the function is boolean, this variable will hold a Java boolean. If the result type is an optional item, it will hold an Item (using null to represent an empty sequence). If it is any other type, the variable will hold a `SequenceIterator`, In each case the Java variable will at run-time hold the value of the XPath expression

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.